---
updatedAt: 2025-10-10T18:15:27.000Z
agentTools:
  projectIndex: https://docs.thetie.io/llms.txt
---

# The Tie API Documentation

## Getting Started

Welcome to The Tie Quant API. Before you begin, ensure you have your API key. If you don't have an API key, please contact your Account Manager or reach out to <api@thetie.io>.

***

## Base URL

```text
https://api-thetie.io/v3/quant
```

All API requests should be made to this base URL.

***

## Authentication

### API Key Header

To authenticate your requests, include the following header:

**Header Name:** `x-api-key`
**Header Value:** Your API key

### Example Request

```http
GET /endpoint HTTP/1.1
Host: api-thetie.io
x-api-key: your_api_key_here
```

### Authentication Errors

If your API key is invalid or the header syntax is incorrect, you will receive an error response. Please contact your Account Manager for assistance.

### Important Note

This API key is unique to data access and will not be displayed in your Tie Terminal admin page.

***

## Rate Limits

**Limit:** 1000 requests per minute (across all endpoints)

This is a hard limit. Requests exceeding this threshold will be rejected.

***

## Next Steps

In the following section, you will find a few code samples to get you started